package com.mogo.cloud.trafficlive.api;

public interface ITrafficCarLiveCallBack {


    default void onLiveConnecting() {

    }

    default void onLiveConnected() {

    }

    void onLive(String liveSn);

    default void onFirstFrame() {

    }

    void onDisConnect();

    /**
     * 连接失败，播放失败，都走这里，可以展示播失败信息
     *
     * @param errorMsg
     */
    void onError(String errorMsg);

    /**
     * 拉流成功且处于播放中
     */
    void onPlaying();

    /**
     * 拉流重试中，还没成功，可以做Loading
     */
    void onPlaRequesting();


}
